Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001117 [1003.1(2016)/Issue7+TC2] Shell and Utilities Comment Clarification Requested 2017-01-20 10:03 2019-10-30 10:51
Reporter geoffclare View Status public  
Assigned To
Priority normal Resolution Accepted  
Status Applied  
Name Geoff Clare
Organization The Open Group
User Reference
Section command
Page Number 2596
Line Number 84278, 84294
Interp Status ---
Final Accepted Text See Desired Action
Summary 0001117: Use of "implementation-defined" in command -v / -V
Description The -v and -V options for "command" include the text "and any
implementation-defined functions that are found using the PATH
variable (as described in Section 2.9.1.1, on page 2367)".

I suspect this is intended just to mean "functions defined by the
implementation", but by using the defined term "implementation-defined"
the text introduces a documentation requirement. This is not the
appropriate place to make such a requirement - if we want the functions
found by PATH to be documented, 2.9.1.1 is the place to require it,
not here.
Desired Action For both -v and -V, change:

    and any implementation-defined functions that are found using the PATH variable

to:

    and any implementation-provided functions that are found using the PATH variable
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0004048)
kre (reporter)
2018-06-29 18:42

Why not clean up the language as well (make it easier
to understand rather than including invented hyphenated words),
and make it say:

    and any functions provided by the implementation which are
    found using the PATH variable

(and add a reference to section 2.9.1.1 so the "found using the
PATH variable" can be understood.)
(0004049)
geoffclare (manager)
2018-06-30 09:31
edited on: 2018-06-30 09:32

The term "implementation-provided" is already used in several other places. It even has an explanation in XRAT A.1.5:
The term ``implementation-defined’’ implies requirements for documentation [...] In some places the text refers to facilities supplied by the implementation that are outside the standard as implementation-supplied or implementation-provided. This is not intended to imply a requirement for documentation. If it were, the term ``implementation-defined’’ would have been used.

There is already a reference to 2.9.1.1 (as quoted under Description in this bug).


- Issue History
Date Modified Username Field Change
2017-01-20 10:03 geoffclare New Issue
2017-01-20 10:03 geoffclare Name => Geoff Clare
2017-01-20 10:03 geoffclare Organization => The Open Group
2017-01-20 10:03 geoffclare Section => command
2017-01-20 10:03 geoffclare Page Number => 2596
2017-01-20 10:03 geoffclare Line Number => 84278, 84294
2017-01-20 10:03 geoffclare Interp Status => ---
2018-06-29 18:42 kre Note Added: 0004048
2018-06-30 09:31 geoffclare Note Added: 0004049
2018-06-30 09:32 geoffclare Note Edited: 0004049
2018-07-19 16:12 nick Final Accepted Text => See Desired Action
2018-07-19 16:12 nick Status New => Resolved
2018-07-19 16:12 nick Resolution Open => Accepted
2018-07-19 16:12 nick Tag Attached: tc3-2008
2019-10-30 10:51 geoffclare Status Resolved => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker